Name:          libconfig
Version:       1.8
Release:       1mamba
Summary:       C/C++ Configuration File Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.hyperrealm.com/libconfig/
Source:        https://github.com/hyperrealm/libconfig.git/v%{version}/libconfig-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: texinfo

%description
%{name} is a simple library for processing structured configuration files. The file format is more compact and more readable than XML. And unlike XML, it is type-aware, so it is not necessary to do string parsing in application code. The library includes bindings for both the C and C++ languages. It works on POSIX-compliant UNIX systems.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires(post):%{__install_info}

%description devel
C/C++ Configuration File Library
This package contains static libraries and header files needed for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
C/C++ Configuration File Library
This package contains static libraries needed for development.


%prep
%setup -q
iconv -f iso-8859-1 -t utf-8 -o AUTHORS{.utf8,}
mv AUTHORS{.utf8,}

autoreconf -f -i

%build
%configure
%make
make pdf

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
	 install-pdf

rm -rf %{buildroot}%{_infodir}/dir

sed -i '/^\/CreationDate/d' %{buildroot}%{_defaultdocdir}/libconfig/libconfig.pdf
sed -i '/^\/ModDate/d' %{buildroot}%{_defaultdocdir}/libconfig/libconfig.pdf
sed -i '/^\/ID /d' %{buildroot}%{_defaultdocdir}/libconfig/libconfig.pdf

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post devel
%install_info libconfig.info

%preun devel
%uninstall_info libconfig.info

%files
%defattr(-,root,root)
%{_libdir}/libconfig*.so.*
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
%{_includedir}/libconfig.h*
%{_libdir}/libconfig*.so
%{_libdir}/pkgconfig/libconfig++.pc
%{_libdir}/pkgconfig/libconfig.pc
%{_libdir}/cmake/libconfig++/libconfig++Config.cmake
%{_libdir}/cmake/libconfig/libconfigConfig.cmake
%{_defaultdocdir}/libconfig/libconfig.pdf
%{_infodir}/libconfig.info*
%doc ChangeLog README TODO

%files static
%defattr(-,root,root)
%{_libdir}/libconfig*.*a

%changelog
* Wed Apr 30 2025 Automatic Build System <autodist@openmamba.org> 1.8-1mamba
- automatic version update by autodist

* Wed Nov 20 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.3-2mamba
- added debug package; updated URL; closes #1

* Sun Jun 20 2021 Automatic Build System <autodist@mambasoft.it> 1.7.3-1mamba
- automatic version update by autodist

* Sat Mar 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.2-1mamba
- update to 1.7.2

* Wed Dec 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-2mamba
- rebuilt with gcc 5.2.0

* Sat Jul 25 2015 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Sun Oct 14 2012 Automatic Build System <autodist@mambasoft.it> 1.4.9-1mamba
- automatic version update by autodist

* Sat Apr 14 2012 Automatic Build System <autodist@mambasoft.it> 1.4.8-1mamba
- automatic version update by autodist

* Thu Mar 17 2011 Automatic Build System <autodist@mambasoft.it> 1.4.7-1mamba
- automatic update by autodist

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.6-1mamba
- update to 1.4.6

* Sat Oct 02 2010 gil <puntogil@libero.it> 1.4.5-1mamba
- package created by autospec
